#l.py is the Lorenz attractor 
from math import *
from turtle import *
x0 = 0; y0 = 0  #origin
ux = 1; uy = -1 #scale
x=1; y=0.1; z=0 #initial position      
eye=.05
nose= -50
h = .01   #the step is often denoted by "dt"
xr = x0 - nose; xl = x0 + nose
hideturtle()
penup()
def pset(u,v):  
   goto(u,v)
   dot()
#begin the loop here
for i in range(0,100):
   yp = y0 + y*uy
   pset(xl + (x-eye*z)*ux , yp)
   pset(xr - (x+eye*z)*ux , yp)
   xdot = 10*(y-x)*h
   ydot = (28 - z)*x - y 
   zdot = x*y - (8.0/3)*z
   x1 = x + xdot*h
   y1 = y + ydot*h 
   z = z + zdot*h
   x = x1; y=y1
